<jds-bi-modal
  id="modal-dataset-leave"
  #modal
  [isClose]="false"
  [style.display]="'block'"
  size="md"
  position="center"
>
  <ng-container ngProjectAs="header">
    <h6>Keluar dari halaman ini?</h6>
    <button
      class="t-button-close"
      (click)="submitModal()"
      type="button"
      role="button"
    >
      <svg
        class="icon baseline"
        width="14"
        height="14"
        viewBox="0 0 14 14"
        xmlns="http://www.w3.org/2000/svg"
      >
        <path
          d="M13.364 2.45431L8.81829 7L13.364 11.5457C13.6051 11.7868 13.7406 12.1138 13.7406 12.4548C13.7406 12.7958 13.6051 13.1228 13.364 13.364C13.1229 13.6051 12.7958 13.7405 12.4548 13.7405C12.1138 13.7405 11.7868 13.6051 11.5457 13.364L7.00002 8.81827L2.45433 13.364C2.21321 13.6051 1.88619 13.7405 1.54519 13.7405C1.2042 13.7405 0.877174 13.6051 0.636056 13.364C0.394938 13.1228 0.259479 12.7958 0.259479 12.4548C0.259479 12.1138 0.394938 11.7868 0.636056 11.5457L5.18174 7L0.636056 2.45431C0.394938 2.2132 0.259479 1.88617 0.259479 1.54518C0.259479 1.20418 0.394938 0.877157 0.636056 0.636038C0.877174 0.394921 1.2042 0.259462 1.54519 0.259462C1.88619 0.259461 2.21321 0.39492 2.45433 0.636039L7.00002 5.18173L11.5457 0.636039C11.7868 0.394921 12.1138 0.259461 12.4548 0.259461C12.7958 0.259461 13.1229 0.39492 13.364 0.636038C13.6051 0.877156 13.7406 1.20418 13.7406 1.54518C13.7406 1.88617 13.6051 2.2132 13.364 2.45431Z"
        ></path>
      </svg>
    </button>
  </ng-container>
  <ng-container ngProjectAs="body">
    Data tidak akan disimpan jika Anda meningalkan halaman ini.
  </ng-container>
  <ng-container ngProjectAs="footer">
    <button
      [ngClass]="[jds.button, jds.buttonOutlinePrimary, jds.me(8)]"
      (click)="closeModal()"
      type="button"
    >
      Keluar
    </button>
    <button
      [ngClass]="[jds.button, jds.buttonPrimary]"
      (click)="submitModal()"
      type="button"
    >
      Lanjut Mengisi
    </button>
  </ng-container>
</jds-bi-modal>
